com.taosdata.jdbc.ws.tmq.entity

## Class PositionReq

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Payload
  - - com.taosdata.jdbc.ws.tmq.entity.PositionReq

    public class PositionReq
    extends Payload

### Constructor Summary

Constructors
Constructor and Description
`PositionReq()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TopicPartition[]` `getTopicPartitions()`
`void` `setTopicPartitions(TopicPartition[] topicPartitions)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Payload

`getReqId, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PositionReq

    public PositionReq()

### Method Detail

#### getTopicPartitions

    public TopicPartition[] getTopicPartitions()

#### setTopicPartitions

    public void setTopicPartitions(TopicPartition[] topicPartitions)